CFMutableArray Reference

## Detailed Description

`#include <CoreFoundation/CFArray.h>`

## Typedefs

typedef struct __CFArray * | CFMutableArrayRef
| Reference to a mutable array object.

## Functions

void | CFArrayAppendArray (CFMutableArrayRef theArray, CFArrayRef otherArray, CFRange otherRange)
void | CFArrayAppendValue (CFMutableArrayRef theArray, const void *value)
CFMutableArrayRef | CFArrayCreateMutable (CFAllocatorRef allocator, CFIndex capacity, const CFArrayCallBacks *callBacks)
CFMutableArrayRef | CFArrayCreateMutableCopy (CFAllocatorRef allocator, CFIndex capacity, CFArrayRef theArray)
void | CFArrayExchangeValuesAtIndices (CFMutableArrayRef theArray, CFIndex idx1, CFIndex idx2)
void | CFArrayInsertValueAtIndex (CFMutableArrayRef theArray, CFIndex idx, const void *value)
void | CFArrayRemoveAllValues (CFMutableArrayRef theArray)
void | CFArrayRemoveValueAtIndex (CFMutableArrayRef theArray, CFIndex idx)
void | CFArrayReplaceValues (CFMutableArrayRef theArray, CFRange range, const void **newValues, CFIndex newCount)
void | CFArraySetValueAtIndex (CFMutableArrayRef theArray, CFIndex idx, const void *value)
void | CFArraySortValues (CFMutableArrayRef theArray, CFRange range, CFComparatorFunction comparator, void *context)